#
# spec file for package python3-PyYAML
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-PyYAML
Version:        3.11
Release:        8.3
Url:            http://pyyaml.org/wiki/PyYAML
Summary:        YAML parser and emitter for Python
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/P/PyYAML/PyYAML-%{version}.tar.gz
#PATCH-FIX-UPSTREAM https://bitbucket.org/xi/pyyaml/issue/35/test-fails-on-be-s390-x-ppc64 Fix big endian builds
Patch0:         PyYAML-big-endian.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libyaml-devel
BuildRequires:  python3
BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
YAML is a data serialization format designed for human readability
and interaction with scripting languages.  PyYAML is a YAML parser
and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages.  PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%prep
%setup -q -n PyYAML-%{version}
%patch0 -p1

%build
#regenerate _yaml.c
rm -rf ext/_yaml.c
CFLAGS="%{optflags}" python3 setup.py build
find examples -type f | xargs chmod -x # Fix example permissions

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README examples
%{python3_sitearch}/yaml/
%{python3_sitearch}/_yaml.*.so
%{python3_sitearch}/PyYAML-%{version}-py*.egg-info

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Tue Mar 15 2016 dvaleev@suse.com
- Fix bigendian architectures: PyYAML-big-endian.patch
* Wed Jul 30 2014 toddrme2178@gmail.com
- Update to 3.11
  - Source and binary distributions are rebuilt against the latest
    versions of Cython and LibYAML.
* Mon Dec  9 2013 toddrme2178@gmail.com
- Depend on libyaml
* Thu Jan 10 2013 p.drouand@gmail.com
- Initial python3 support
